Bug 8459 - REGRESSION: Content lost during a delete/merge of whitespace:pre text
Summary: REGRESSION: Content lost during a delete/merge of whitespace:pre text
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Justin Garcia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-18 11:13 PDT by Justin Garcia
Modified: 2006-04-27 03:27 PDT (History)
0 users

See Also:


Attachments
patch (8.32 KB, patch)
2006-04-26 00:28 PDT, Justin Garcia
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Garcia 2006-04-18 11:13:29 PDT
editing/deleting/merge-whitespace-pre.html shows this.  It started failing after hyatt's changes, but he says that the prune() in moveParagraph is removing rendered content, so I need to work on this.
Comment 1 Justin Garcia 2006-04-26 00:28:11 PDT
Created attachment 7968 [details]
patch
Comment 2 Darin Adler 2006-04-26 08:15:43 PDT
Comment on attachment 7968 [details]
patch

Why the check for canHaveChildren?
Comment 3 Justin Garcia 2006-04-26 12:55:56 PDT
> Why the check for canHaveChildren?

If the node passed to prune is a rendered leaf, like some text or an image, it will be removed and its parent's pruned without the !renderer->canHaveChildren() check.  
Comment 4 Justin Garcia 2006-04-26 13:00:36 PDT
"its parents pruned"
Comment 5 Dave Hyatt 2006-04-26 13:30:43 PDT
Comment on attachment 7968 [details]
patch

r=me
Comment 6 Justin Garcia 2006-04-27 03:27:41 PDT
fixed in r1669